/*
	Descrição: Efeitos e funcionalidades do popover
    Autor: Adriano Angélico
	Data: 14/10/2015
	Versão: 1.0
*/

$(function () {
    // mostra o popover caso tenha sido configurado como click
    $(".popover-target-click").on("click", function () {
        var el = $(this);

        popover(el);
    });

    // mostra o popover caso tenha sido configurado como hover
    $(".popover-target-hover").hover(function () {
        var el = $(this);

        popover(el);
    });

    // função popover
    function popover(el) {
        var id = el.attr("id"); // id do elemento
        var elementPos = el.position(); // posição do elemento que receberá o popover
        var popoverHeight = $(".popover[data-popover-id=" + id + "]").outerHeight(); // pega a altura do elemento que recebará o popover
        var elementHeight = el.outerHeight(); // pega a altura do popover que será mostrado referente ao elemento
        var pos = popoverHeight + elementHeight + 2; // pocisiona o popover acima do elemento

        // mostra ou oculta o popover na posição indicada
        $(".popover[data-popover-id=" + id + "]").toggle().css({
            "top": elementPos.top - pos,
            "left": elementPos.left
        });
    }
});